@import url('https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300&display=swap');

body{
  background-color: #fafafa;
  font-family: 'Ubuntu', sans-serif;
}

header{
  width: 1000px;
  margin: 50px auto 0px auto;
}

  header img{
    height: 30px;
  }
  
  header input{
    width: 255px;
    height: 30px;
    padding: 0px 15px;
    float: right;
    font-weight: 600;
    border: 2px solid #eee;
    background-color: #fff;
    border-radius: 25px;
    outline: none;
    box-shadow: 0 0 20px #efefef;
  }
  
  header button{
    color: #fff;
    float: right;
    width: 20px;
    height: 20px;
    font-size: 12px;
    border: 0;
    position: relative;
    top: 7px;
    right: -280px;
    border-radius: 20px;
    background-color: #000;
    outline: none;
    cursor: pointer;
  }

main{
  width: 1000px;
  min-height: 80vh;
  margin: 50px auto;
}

  main > div.row{
    float: left;
  }
  
    main > div.row.l-row{
      width: calc(70% - 10px);
      margin-right: 20px;
    }
    
    main > div.row.r-row{
      width: calc(30% - 10px);
    }
    
  main > div.row > div.box{
    width: 100%;
    margin-bottom: 20px;
    border-radius: 5px;
    border: 2px solid #eee;
    background-color: #ffffff;
    box-shadow: 0 0 20px #eee;
  }
  
    main > div.row > div.box > div#map{
      width: 100%;
      height: 200px;
      margin: -10px 0 0 0;
      border-bottom-left-radius: 5px;
      border-bottom-right-radius: 5px;
    }
    
    main > div.row > div.box > h1{
      width: calc(100% - 20px);
      padding: 10px;
      margin: 0 0 10px 0;
      font-size: 15px;
      border-bottom: 1px solid #eee;
      background-color: #fcfcfc;
      border-top-left-radius: 3px;
      border-top-right-radius: 3px;
    }
    
    main > div.row > div.box > p{
      font-size: 14px;
      color: #000;
      padding: 0 10px 10px 10px;
      margin: 0;
    }
    
      main > div.row > div.box > button.trackingbtn.active{
        color: #fff;
        background-color: #12A3EB;
      }
      
    main > div.row > div.box.tracking-box{
      width: 100%;
      margin-bottom: 20px;
      border-radius: 5px;
      border: 2px solid #12A3EB;
    }
    
      main > div.row > div.box.tracking-box > a.trackingbtn{
        width: calc(100% - 30px);
        padding: 8px 5px;
        color: #eee;
        font-weight: 600;
        border: 0;
        margin: 0 10px 10px 10px;
        display: inline-block;
        text-align: center;
        text-decoration: none;
        font-size: 13px;
        background-color: #12A3EB;
        border-radius: 5px;
        box-shadow: 0 0 10px #ccc;
        outline: none;
        cursor: pointer;
      }
    
    main > div.row > div.box.info-box::after{
      content: "";
      display: table;
      clear: both;
    }
    
    main > div.row > div.box.info-box > h1{
      margin: 0;
    }
    
    main > div.row > div.box.info-box > div.datacell{
      width: calc(50% - 1px);
      padding-top: 5px;
      float: left;
    }
    
    main > div.row > div.box.info-box > div.datacell:nth-child(odd){
      border-top: 1px solid #eee;
    }
    
    main > div.row > div.box.info-box > div.datacell:nth-child(even){
      border-top: 1px solid #eee;
      border-right: 1px solid #eee;
    }
      
      main > div.row > div.box.info-box > div.datacell > label{
        width: calc(100% - 20px);
        margin: 0 0 10px 0;
        font-size: 13px;
        padding: 5px 10px;
        color: #888;
      }
      
      main > div.row > div.box.info-box > div.datacell > p{
        width: calc(100% - 20px);
        margin: 0 0 5px 0;
        font-size: 14px;
        padding: 5px 10px;
      }
      
        main > div.row > div.box.info-box > div.datacell > p > img{
          position: absolute;
        }
    
    main > div.row > div.box > ul{
      list-style-type: none;
      padding: 0 20px;
    }
    
      main > div.row > div.box > ul > li:not(:first-of-type){
        padding-top: 20px;
      }
      
      main > div.row > div.box > ul > li:not(:last-of-type){
        border-bottom: 1px solid #eee;
        padding-bottom: 5px;
      }
      
      main > div.row > div.box > ul > li > p{
        font-size: 13px;
        color: #888;
      }
      
      main > div.row > div.box > ul > li > p.datetime{
        float: right;
        margin: 0;
        font-size: 13px;
        color: #12A3EB;
        font-weight: 500;
      }
      
        main > div.row > div.box > ul > li > p.datetime > span{
          color: #fff;
          padding: 2px 6px;
          border-radius: 6px;
          background-color: #12A3EB;
          display: inline-block;
          margin-right: 5px;
          font-weight: 600;
        }
    
    main > div.row > div.box.explain-box > p.speech{
      width: calc(100% - 40px);
      margin: 10px auto;
      padding: 14px 10px;
      color: #12A3EB;
      font-size: 13px;
      font-weight: 600;
      text-align: center;
      position: relative;
      border: 2px solid #12A3EB;
      border-radius: 5px;
    }
    
      main > div.row > div.box.explain-box > p.speech:after {
      	content: '';
      	position: absolute;
      	bottom: 0;
      	left: 60%;
      	width: 0;
      	height: 0;
      	border: 10px solid transparent;
      	border-top-color: #12A3EB;
      	border-bottom: 0;
      	border-left: 0;
      	margin-left: -5px;
      	margin-bottom: -10px;
      }
      
    main > div.row > div.box.explain-box > h2{
      margin: 20px 0px 5px 0px;
      text-align: center;
    }
    
    main > div.row > div.box.explain-box > p.hint{
      color: #ccc;
      margin: 0 0 10px 0;
      font-size: 12px;
      text-align: center;
    }
    
  main > div.row > div.box.progress-box{
    width: 100%;
    height: 150px;
    text-align: center;
  }
  
    main > div.row > div.box.progress-box > div.responsivescroll > div.progress-step{
      width: calc(20% - 21px);
      height: 140px;
      padding: 10px;
      position: relative;
      float: left;
    }
    
      main > div.row > div.box.progress-box > div.responsivescroll > div.progress-step:not(:last-of-type)::before{
        content: " ";
        width: 198px;
        height: 2px;
        background-color: #ccc;
        position: absolute;
        top: 21px;
        left: calc(50% + 10px);
        z-index: 999;
      }
      
      main > div.row > div.box.progress-box > div.responsivescroll > div.progress-step.present:last-of-type::before{
        content: " ";
        width: 80px;
        height: 2px;
        background-color: #12A3EB;
        position: absolute;
        top: 21px;
        left: calc(50% + 10px);
        z-index: 999;
      }
    
    main > div.row > div.box.progress-box > div.responsivescroll > div.progress-step:not(:last-of-type){
      border-right: 1px solid #eee;
    }
    
      main > div.row > div.box.progress-box > div.responsivescroll > div.progress-step.past{
        color: #12A3EB;
      }
      
        main > div.row > div.box.progress-box > div.responsivescroll > div.progress-step.past:not(:last-of-type)::before{
          background-color: #12A3EB;
        }
      
      main > div.row > div.box.progress-box > div.responsivescroll > div.progress-step.present{
        color: #12A3EB;
      }
      
        main > div.row > div.box.progress-box > div.responsivescroll > div.progress-step:not(:last-of-type).present > span{
          animation: presentanimation 2s infinite;
        }
      
        main > div.row > div.box.progress-box > div.responsivescroll > div.progress-step.present > h1{
          color: #000;
        }
    
      main > div.row > div.box.progress-box > div.responsivescroll > div.progress-step.future{
        color: #ccc;
      }
    
    main > div.row > div.box.progress-box > div.responsivescroll > div.progress-step > span{
      display: block;
      font-size: 20px;
      margin-bottom: 15px;
      z-index: 1000;
    }
  
    main > div.row > div.box.progress-box > div.responsivescroll > div.progress-step > i{
      font-size: 80px;
    }
    
    main > div.row > div.box.progress-box > div.responsivescroll > div.progress-step > h1{
      font-size: 14px;
    }
    
  main > div.row > div.speech-bubble{
    width: calc(90% - 30px);
    margin: 0 5%;
    padding: 10px 15px;
    color: #fff;
    font-size: 13px;
    text-align: center;
    border-radius: 25px;
    background-color: #12A3EB;
    position: relative;
    top: -15px;
  }
  
    main > div.row > div.speech-bubble:after {
    	content: '';
    	position: absolute;
    	top: 0;
    	left: 28%;
    	width: 0;
    	height: 0;
    	border: 10px solid transparent;
    	border-bottom-color: #12A3EB;
    	border-top: 0;
    	margin-left: -10px;
    	margin-top: -10px;
    }
    
    main > div.row > footer{
      width: calc(100% - 20px);
      padding: 0px 10px;
      text-align: center;
      margin: 20px auto 0px auto;
    }

      main > div.row > footer > p{
        color: #ccc;
        font-size: 12px;
      }
      
      main > div.row > footer > img{
        width: 120px;
        filter: invert(0.8);
        margin: 0 0 25px 0;
      }
    
@keyframes presentanimation{
  0% {
      transform: scale(1,1);
  }
  50% {
      transform: scale(1.12,1.2);
  }
  100% {
      transform: scale(1,1);
  }
}